<?php

namespace App\Http\Controllers;

use App\Historique;
use App\schoolfeeTranche;
use Illuminate\Http\Request;

class TypeschoolFeeController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth', 'isAdmin']); //isAdmin middleware lets only users with a //specific permission permission to access these resources
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //Get all typefees  and pass it to the view
        $tranches = schoolfeeTranche::all();

        return view('tranches.index')->with('tranches', $tranches);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('tranches.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required',
            'tranche_amount' => 'required',
            'due_date' => 'required'
        ]);

        $tranche = new schoolfeeTranche();
        $tranche->title = $request->input('title');
        $tranche->description = $request->input('description');
        $tranche->tranche_amount = $request->input('tranche_amount');
        $tranche->due_date = $request->input('due_date');
        $tranche->status = $request->input('status');

        $historique = new Historique();
        $historique->action = 'Create';
        $historique->table = 'SchoolfeeTranche';
        $historique->user_id = auth()->user()->id;

        $tranche->save();
        $historique->save();

        //Redirect to the grades.index view and display message
        return redirect()->route('tranches.index')
            ->with('success',
             'Nouvelle de scolarité ajouté avec succès.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $tranche = schoolfeeTranche::findOrFail($id);

        return view('tranches.edit', compact('tranche')); //pass $tranche data to view
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $tranche = schoolfeeTranche::findOrFail($id); 

        $this->validate($request, [
            'title' => 'required',
            'tranche_amount' => 'required',
            'due_date' => 'required'
        ]);

        
        $tranche->title = $request->input('title');
        $tranche->description = $request->input('description');
        $tranche->tranche_amount = $request->input('tranche_amount');
        $tranche->due_date = $request->input('due_date');
        $tranche->status = $request->input('status');

        $historique = new Historique();
        $historique->action = 'Create';
        $historique->table = 'SchoolfeeTranche';
        $historique->user_id = auth()->user()->id;

        $tranche->save();
        $historique->save();

        //Redirect to the grades.index view and display message
        return redirect()->route('tranches.index')
            ->with('success',
             'Tranche éditée avec succès.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $tranche = schoolfeeTranche::findOrFail($id);

        $tranche->delete();

        return redirect()->route('typefees.index')
            ->with('success',
             'Tranche supprimée avec succès.');
    }
}
