<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCoursesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('courses', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('course_code');
            $table->string('course_title');
            $table->mediumText('description')->nullable();
            $table->integer('coefficient');
            $table->string('hourly_volume')->nullable();
            $table->integer('grade_id');
            $table->string('grade_title');
            $table->integer('professor_id')->nullable();
            $table->string('professor_name')->nullable();
            $table->string('professor_firstname')->nullable();
            $table->string('professor_email')->nullable();
            $table->string('professor_phone')->nullable();
            $table->mediumText('professor_address')->nullable();
            $table->string('professor_profession')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('courses');
    }
}
