<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInscriptionFeesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('inscription_fees', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('typefee_id');
            $table->string('typefee_title');
            $table->float('amount_Topay')->nullable();
            $table->float('amount_paid')->nullable();
            $table->float('left_pay')->nullable();
            $table->date('date')->nullable();
            $table->integer('student_id')->nullable();
            $table->string('student_name')->nullable();
            $table->string('student_firstname')->nullable();
            $table->string('student_phone')->nullable();
            $table->string('student_email')->nullable();
            $table->string('student_address')->nullable();
            $table->char('student_gender',1);
            $table->integer('grade_id')->nullable();
            $table->string('grade_title')->nullable();
            $table->integer('classe_id')->nullable();
            $table->string('classe_code')->nullable();
            $table->string('classe_name')->nullable();
            $table->integer('parent_id')->nullable();
            $table->string('parent_name')->nullable();
            $table->string('parent_firstname')->nullable();
            $table->string('parent_email')->nullable();
            $table->string('parent_phone')->nullable();
            $table->string('parent_address')->nullable();
            $table->integer('student_userId')->nullable();
            $table->integer('parent_userId')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('inscription_fees');
    }
}
