@extends('layouts.app')

@section('title', '| Examens')

@section('content')

<div class="breadcome-area">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="breadcome-list single-page-breadcome">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <div class="breadcome-heading">
                                <form role="search" class="sr-input-func">
                                    <input type="text" placeholder="Search..." class="search-int form-control">
                                    <a href="#"><i class="fa fa-search"></i></a>
                                </form>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <ul class="breadcome-menu">
                                <li><a href="#">Accueil</a> <span class="bread-slash">/</span>
                                </li>
                                <li><span class="bread-blod">Examens</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Main content -->
    <div class="data-table-area mg-b-15">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        @include('inc.messages')
                        <div class="sparkline13-list">
                            <a href="{{ route('roles.index') }}" class="btn btn-default pull-right">Roles</a>
                            <a href="{{ route('permissions.index') }}" class="btn btn-default pull-right">Permissions</a>
                            <div class="sparkline13-hd">

                                    <div class="main-sparkline13-hd">
                                        <h3 class="box-title">Liste des Examens</h3>
                                    </div>
                                </div>
                                <div class="sparkline13-graph">
                                    <div class="datatable-dashv1-list custom-datatable-overright">
                                        <div id="toolbar">
                                            <select class="form-control dt-tb">
                                                <option value="">Export Basic</option>
                                                <option value="all">Export All</option>
                                                <option value="selected">Export Selected</option>
                                            </select>
                                        </div>
                                        <table id="table" data-toggle="table" data-pagination="true" data-search="true" data-show-columns="true" data-show-pagination-switch="true" data-show-refresh="true" data-key-events="true" data-show-toggle="true" data-resizable="true" data-cookie="true"
                                            data-cookie-id-table="saveId" data-show-export="true" data-click-to-select="true" data-toolbar="#toolbar">
                                            <thead>
                                            <tr>
                                                    <th>Types Examens</th>
                                                    <th>Matières</th>
                                                    <th>Niveaux</th>
                                                    <th>Période / Année Scolaire</th>
                                                    <th>Opérations</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($exams as $exam)
                                                <tr>
                                                    <td>{{ $exam->typeexam_title }}</td>
                                                    <td>{{ $exam->course_title }}</td>
                                                    <td>{{ $exam->grade_title }}</td>
                                                    <td>{{ $exam->period }} {{ $exam->academicyear_title }}</td> 
                                                    <td>
                                                    <a href="{{ URL::to('exams/'.$exam->id.'/edit') }}" class="btn btn-info pull-left" style="margin-right: 3px;">Edit</a>

                                                    {!! Form::open(['method' => 'DELETE', 'route' => ['exams.destroy', $exam->id] ]) !!}
                                                    {!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
                                                    {!! Form::close() !!}

                                                    </td>
                                                </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <br>
                                  <a href="{{ route('exams.create') }}" class="btn btn-primary">Ajouter Examen</a>
                             </div>

                        </div>


                </div>
            </div>
        </div>
    <!-- /.content -->

@endsection
