@extends('layouts.app')

@section('title', '| Paiement de frais de scolarité')

@section('content')

<!-- Content Header (Page header) -->
<div class="breadcome-area">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="breadcome-list single-page-breadcome">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <div class="breadcome-heading">
                                <form role="search" class="sr-input-func">
                                    <input type="text" placeholder="Search..." class="search-int form-control">
                                    <a href="#"><i class="fa fa-search"></i></a>
                                </form>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <ul class="breadcome-menu">
                                <li><a href="#">Accueil</a> <span class="bread-slash">/</span>
                                </li>
                                <li><span class="bread-blod">Frais de scolarité</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Main content -->
<div class="analytics-sparkle-area">
<div class="container-fluid">
 <div class="row">
    <div class="col-md-12">
      <div class="sparkline12-list">
          <div class="sparkline12-hd">
              <div class="main-sparkline12-hd">
                  <h1><i class='fa fa-money'></i> Paiement de frais de scolarité</h1>
              </div>
          </div>
          <div class="sparkline12-graph">
              <div class="basic-login-form-ad">
                  <div class="row">
                      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                          <div class="all-form-element-inner">
                        <!-- /.box-header -->
                        <!-- form start -->
                        <form method="POST" action="{{ route('schoolfees.store') }}">
                            @csrf
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group-inner">
                                        <div class="row">
                                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
                                                <label class="login2 pull-right pull-right-pro">Nom de l'élève</label>
                                            </div>
                                            <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
                                                <input type="hidden" class="form-control" name="student_id" id="student_id" />
                                                <input type="text" class="form-control" id="student" placeholder="Entrer le nom de l'élève"/>
                                                <div id="student_list"></div> 
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group-inner">
                                        <div class="row">
                                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
                                                <label class="login2 pull-right pull-right-pro">Montant de la scolarité à payer</label>
                                            </div>
                                            <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
                                                <input type="number" class="form-control" name="amount_Topay" value="{{ $price }}" />
                                            </div>
                                        </div>
                                    </div>


                                    <div class="form-group-inner">
                                        <div class="row">
                                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
                                                <label class="login2 pull-right pull-right-pro">Date paiement</label>
                                            </div>
                                            <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
                                                <input type="date" class="form-control" name="date" id="date" />
                                            </div>
                                        </div>
                                    </div>


                                    <table id="dynamic_field" class="table table-striped table-bordered">
                                      <thead>
                                          <tr>
                                              <th><label>Tranche</label></th>
                                              <th><label>Montant à payer</label></th>
                                              <th><label>Montant versé</label></th>
                                              <th style="width: 15%"><button class="btn btn-primary" title="Ajouter Tranche" id="add" type="button"><i class="fa fa-plus"></i></button> </th>
                                          </tr>
                                      </thead>

                                      <tbody>

                                        <tr>

                                          <td>
                                            <div class="form-group">
                                              <select class="form-control tranche" id="tranche_id[]" name="tranche_id[]" required>
                                                @foreach($tranches as $tranche)
                                                  <option value="{{$tranche->id}}">{{$tranche->title}}</option>
                                                @endforeach
                                              </select>
                                            </div>
                                          </td>

                                          <td>
                                            <div class="form-group">
                                              <input class="form-control amount_Topay" name="tranche_Topay[]" type="number" value="" id="tranche_Topay[]">
                                            </div>
                                          </td>

                                          <td>
                                            <div class="form-group">
                                              <input class="form-control amount_paid" name="tranche_paid[]" type="number" value="" id="amount_paid[]">
                                            </div>
                                          </td>

                                          
                                         
                                          <td style="border: none;"></td>

                                        </tr>
                                      </tbody>
                                      <tfoot>
                                        <td style="border: none;"></td>
                                        <td style="border: none;"></td>
                                        <td><b>Total</b></td>
                                        <td style="width: 15%"><b class="total"></b></td>
                                      </tfoot>

                                      

                                  </table>
                                    

                                    
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-10 col-md-offset-2">
                                    <div class="login-horizental cancel-wp pull-left form-bc-ele">
                                        <button class="btn btn-sm btn-primary login-submit-cs" type="submit">Payer scolarité</button>
                                    </div>
                                </div>
                            </div>

                        </form>

                            </div>
                        </div>
                      </div>
                  </div>
              </div>
            </div>
        </div>
    </div>
</div>
</div>


@endsection
@push('script')
<script type="text/javascript">

$(document).ready(function(){  
      var i=1; 
      @php $j = 1; @endphp
      $('#add').click(function(){ 
          //var con = 'etats_'+i+'[]'; 
          //"etats_'+i+'"
           $('#dynamic_field').append('<tr id="row'+i+'"><td><div class="form-group"><select class="form-control tranche" id="tranche_id[]" name="tranche_id[]" required>@foreach($tranches as $tranche)<option value="{{$tranche->id}}">{{$tranche->title}}</option>@endforeach</select></div></td><td><div class="form-group"><input class="form-control amount_Topay" name="tranche_Topay[]" type="number" value="" id="amount_Topay[]"></div></td><td><div class="form-group"><input class="form-control amount_paid" name="tranche_paid[]" type="number" value="" id="amount_paid[]" required></div></td><td><button type="button" name="remove" id="'+i+'" class="btn btn-danger btn_remove">X</button></td></tr>'); 
              $('.tranche').trigger('change');
              i++;
              console.log('j ==== '+"{{ $j }}")
      });  

      $(document).on('click', '.btn_remove', function(){  
           var button_id = $(this).attr("id");   
           $('#row'+button_id+'').remove();
           total();
      }); 

      $('tbody').delegate('.tranche','change',function (){
        var tr = $(this).parent().parent().parent();
        var id = tr.find('.tranche').val();
        var dataId={'id':id};

        $.ajax({
          type : 'GET',
          url : '{!!URL::route('findPrice')!!}',
          dataType: 'json',
          data : dataId,
          success:function(data){
            //console.log(data)
            tr.find('.amount_Topay').val(data);
          }
        });
      });

      $('.tranche').trigger('change');

      $('tbody').delegate('.tranche','change',function (){
        var tr = $(this).parent().parent().parent();
          tr.find('.amount_paid').focus();
          total();
      });

      $('tbody').delegate('.amount_paid','keyup',function (){
          total();
      });

      
  });
function total() 
{
  var total = 0;
  $('.amount_paid').each(function(i,e){
    var amount = $(this).val()-0;
    total +=amount;
  })
  $('.total').html(total);
};
</script>
<script src="{{ asset('js/jquery-3.4.0.min.js') }}"></script>
<script type="text/javascript">

// jQuery wait till the page is fullt loaded
            $(document).ready(function () {
                // keyup function looks at the keys typed on the search box
                $('#student').on('keyup',function() {
                    // the text typed in the input field is assigned to a variable 
                    var query = $(this).val();
                    // call to an ajax function
                    if(query ==''){

                      $('#student_list').html("");
                      $('#student_id').val() = '';
                    }else{

                        $.ajax({
                          // assign a controller function to perform search action - route name is search
                          url:"{{ route('getStudent') }}",
                          // since we are getting data methos is assigned as GET
                          type:"GET",
                          // data are sent the server
                          data:{'customer':query},
                          // if search is succcessfully done, this callback function is called
                          success:function (data) {
                              // print the search results in the div called country_list(id)
                              $('#student_list').html(data);
                          }
                      })
                      // end of ajax call
                    }
                });

                // initiate a click function on each search result
                $(document).on('click', 'li', function(){
                    // declare the value in the input field to a variable
                    var value = $(this).text();
                    // assign the value to the search box
                    $('#student_id').val($(this).attr('data-id'))
                    $('#student').val(value);
                    // after click is done, search results segment is made empty
                    $('#student_list').html("");
                });
            });

   var d = new Date();
   document.getElementById('date').valueAsDate = d;
</script>
@endpush